Get vulnerability trend series for authorized partner tenants.
curl --request GET \
--url https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/vulnerability-series \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/vulnerability-series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.cyrisma.com/app/pulse/v1/partner/dashboards/vulnerability-series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"root_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"range_days": 123,
"coverage": [
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_host": "<string>"
}
],
"tenants": [
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_host": "<string>",
"points": [
{
"day": "2023-12-25",
"score": 123,
"grade": "<string>",
"open_critical_count": 123,
"open_high_count": 123,
"open_medium_count": 123,
"open_low_count": 123,
"open_total_count": 123,
"unique_critical_count": 123,
"unique_high_count": 123,
"unique_medium_count": 123,
"unique_low_count": 123,
"unique_total_count": 123,
"new_total_count": 123,
"resolved_total_count": 123,
"remediated_total_count": 123,
"suppressed_total_count": 123,
"affected_asset_count": 123,
"evaluated_asset_count": 123,
"source_watermark_at": "2023-11-07T05:31:56Z",
"reconciliation_state": "matched",
"scores_as_of": "2023-11-07T05:31:56Z",
"score_policy_version": "<string>"
}
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Reporting
Get vulnerability trend series for authorized partner tenants.
This endpoint returns a per-tenant vulnerability trend series, one data point per day over the requested range, for the authorized partner’s tenant scope.
Notes:
tenant_ids(optional, comma-separated) restricts results to specific tenants.range(optional, one of30,60,90; default30) is the number of days of history to return.
Required headers:
Authorization: Bearer {token}(requires thepulse.readscope)
GET
/
pulse
/
v1
/
partner
/
dashboards
/
vulnerability-series
Get vulnerability trend series for authorized partner tenants.
Authorizations
A Tenant Authority machine-client token from POST /v1/auth/client-token, carrying subject_type=machine_client and the pulse.read scope.
Query Parameters
Comma-separated tenant UUIDs to scope the list to. Omit to use every tenant the caller is authorized for.
Relative window for the series, e.g. 30d.
